#
# Distribution
#
%{!?fc1:%define fc1 0}
%{!?rh9:%define rh9 0}

Summary: 		Web Based LDAP Administration Program 
Name:			gosa
Version: 		2.1
Release:		%{_distbuild}.2t
License: 		GPL
Group: 			System/Administration
Source: 		ftp://oss.GONICUS.de/pub/gosa/beta/%{name}-%{version}beta2.tar.bz2
Patch0:			%{name}-%{version}-ldapou.patch
URL: 			http://www.GONICUS.de
Buildarch: 		noarch
Prereq: 		php
Prereq:			perl-Crypt-SmbHash >= 0.02
BuildRoot: 		%{_tmppath}/%{name}-%{version}-root
BuildArch:		noarch

%define confdir 	/etc/%{name}

%description
GOsa is a combination of system-administrator and end-user web
interface, designed to handle LDAP based setups.
Provided is access to posix, shadow, samba, proxy, fax, and kerberos
accounts. It is able to manage the postfix/cyrus server combination
and can write user adapted sieve scripts.

%package ldap
Group: 			System/Administration
Summary: 		Schema Definitions for the GOSA package
Requires:		openldap >= 2.0

%description ldap
Contains the Schema definition files for the GOSA admin package.

%prep
%setup -q -n %{name}-%{version}beta2

%patch0 -p1

find . -depth -name CVS -type d | xargs rm -rf

%build

%install
# Create buildroot
mkdir -p %{buildroot}/usr/share/gosa

DIRS="doc ihtml plugins html include locale"

for i in $DIRS; do \
  cp -ua $i %{buildroot}/usr/share/gosa/$i ; \
done

mkdir -p %{buildroot}/var/spool/gosa
# Copy default config
mkdir -p %{buildroot}%{confdir}
cp contrib/gosa.conf %{buildroot}%{confdir}

cat > %{buildroot}%{confdir}/gosa_include.conf <<EOF
# Set alias to gosa
Alias /gosa /usr/share/gosa/html
EOF

mkdir -p %{buildroot}/etc/openldap/schema/gosa
cp -ua contrib/openldap/* %{buildroot}/etc/openldap/schema/gosa

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS TODO README Changelog COPYING INSTALL contrib doc

%defattr(0750,apache,root)
%config(noreplace) %{confdir}/gosa.conf
%config(noreplace) %{confdir}/gosa_include.conf
%dir /var/spool/gosa
/usr/share/gosa

%files ldap
%doc contrib/slapd.conf COPYING AUTHORS README
/etc/openldap/schema/gosa

%changelog
* Tue Jan 24 2004 Henning P. Schmiedehausen <hps@intermeta.de> 2.1-2t
- bumped to 2.1beta2
- first INTERMETA internal build

* Mon Oct 20 2003 Lars Scheiter <lars.scheiter@GONICUS.de>
- Update to new upstream release (2.0rc1)
* Fri Oct 17 2003 Lars Scheiter <lars.scheiter@GONICUS.de>
- First build of GOsa as an RPM, should work on SuSE and RedHat
